
Katello - Bug #5114

activation keys do not honor set limits

04/08/2014 03:38 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Client/Agent   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1085440 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1085440

With the change to using candlepin activation keys, the limit field is not honored (eg. an act key w/ limit of 1 behaves as if unlimited)

Associated revisions

Revision 5616fed0 - 06/24/2014 08:58 PM - Thomas McKay

fixes #5114 - enforce limits when registering through subscription-manager

test for limit exceeded

Revision 371ed403 - 06/25/2014 01:59 PM - Thomas McKay

Merge pull request #4337 from thomasmckay/5114-actkey-limits

fixes #5114 - enforce limits when registering through subscription-manag...

History

#1 - 04/08/2014 03:38 PM - Thomas McKay

- Status changed from New to Assigned

- Assignee set to Thomas McKay

- Triaged set to No

#2 - 04/24/2014 07:53 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 06/03/2014 02:59 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/25/2014 01:25 PM - Eric Helms

- Category set to 125

- Difficulty set to easy

#6 - 06/25/2014 02:52 PM - Thomas McKay

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:5616fed0a08d79980e3c00ec2380f27381d684b8.
